nix-gh/tests/timeout.sh

32 lines
759 B
Bash
Raw Normal View History

# Test the `--timeout' option.
source common.sh
failed=0
2017-01-19 14:17:57 +01:00
messages="`nix-build -Q timeout.nix -A infiniteLoop --timeout 2 2>&1 || failed=1`"
2013-09-02 12:44:30 +02:00
if [ $failed -ne 0 ]; then
echo "error: nix-store succeeded; should have timed out"
exit 1
fi
2013-09-02 12:44:30 +02:00
if ! echo "$messages" | grep -q "timed out"; then
echo "error: build may have failed for reasons other than timeout; output:"
echo "$messages" >&2
exit 1
fi
2013-09-02 12:44:30 +02:00
2017-01-19 14:17:57 +01:00
if nix-build -Q timeout.nix -A infiniteLoop --option build-max-log-size 100; then
echo "build should have failed"
exit 1
fi
if nix-build timeout.nix -A silent --max-silent-time 2; then
2013-09-02 12:44:30 +02:00
echo "build should have failed"
exit 1
fi
if nix-build timeout.nix -A closeLog; then
echo "build should have failed"
exit 1
fi